Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network20.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
20.192.0.0
Broadcast address
20.223.255.255
First usable
20.192.0.1
Last usable
20.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 14C00000 · Integer 348127232 to 350224383
Reverse DNS zones
192.20.in-addr.arpa
193.20.in-addr.arpa
194.20.in-addr.arpa
195.20.in-addr.arpa
196.20.in-addr.arpa
197.20.in-addr.arpa
198.20.in-addr.arpa
199.20.in-addr.arpa
200.20.in-addr.arpa
201.20.in-addr.arpa
202.20.in-addr.arpa
203.20.in-addr.arpa
204.20.in-addr.arpa
205.20.in-addr.arpa
206.20.in-addr.arpa
207.20.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010100.11000000.00000000.0000000020.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010100.11000000.00000000.0000000020.192.0.0
Broadcast00010100.11011111.11111111.1111111120.223.255.255
Split into smaller subnets/18

20.192.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
120.192.0.0/1820.192.0.1 to 20.192.63.25420.192.63.25516,382
220.192.64.0/1820.192.64.1 to 20.192.127.25420.192.127.25516,382
320.192.128.0/1820.192.128.1 to 20.192.191.25420.192.191.25516,382
420.192.192.0/1820.192.192.1 to 20.192.255.25420.192.255.25516,382
520.193.0.0/1820.193.0.1 to 20.193.63.25420.193.63.25516,382
620.193.64.0/1820.193.64.1 to 20.193.127.25420.193.127.25516,382
720.193.128.0/1820.193.128.1 to 20.193.191.25420.193.191.25516,382
820.193.192.0/1820.193.192.1 to 20.193.255.25420.193.255.25516,382
920.194.0.0/1820.194.0.1 to 20.194.63.25420.194.63.25516,382
1020.194.64.0/1820.194.64.1 to 20.194.127.25420.194.127.25516,382
1120.194.128.0/1820.194.128.1 to 20.194.191.25420.194.191.25516,382
1220.194.192.0/1820.194.192.1 to 20.194.255.25420.194.255.25516,382
1320.195.0.0/1820.195.0.1 to 20.195.63.25420.195.63.25516,382
1420.195.64.0/1820.195.64.1 to 20.195.127.25420.195.127.25516,382
1520.195.128.0/1820.195.128.1 to 20.195.191.25420.195.191.25516,382
1620.195.192.0/1820.195.192.1 to 20.195.255.25420.195.255.25516,382
1720.196.0.0/1820.196.0.1 to 20.196.63.25420.196.63.25516,382
1820.196.64.0/1820.196.64.1 to 20.196.127.25420.196.127.25516,382
1920.196.128.0/1820.196.128.1 to 20.196.191.25420.196.191.25516,382
2020.196.192.0/1820.196.192.1 to 20.196.255.25420.196.255.25516,382
2120.197.0.0/1820.197.0.1 to 20.197.63.25420.197.63.25516,382
2220.197.64.0/1820.197.64.1 to 20.197.127.25420.197.127.25516,382
2320.197.128.0/1820.197.128.1 to 20.197.191.25420.197.191.25516,382
2420.197.192.0/1820.197.192.1 to 20.197.255.25420.197.255.25516,382
2520.198.0.0/1820.198.0.1 to 20.198.63.25420.198.63.25516,382
2620.198.64.0/1820.198.64.1 to 20.198.127.25420.198.127.25516,382
2720.198.128.0/1820.198.128.1 to 20.198.191.25420.198.191.25516,382
2820.198.192.0/1820.198.192.1 to 20.198.255.25420.198.255.25516,382
2920.199.0.0/1820.199.0.1 to 20.199.63.25420.199.63.25516,382
3020.199.64.0/1820.199.64.1 to 20.199.127.25420.199.127.25516,382
3120.199.128.0/1820.199.128.1 to 20.199.191.25420.199.191.25516,382
3220.199.192.0/1820.199.192.1 to 20.199.255.25420.199.255.25516,382
3320.200.0.0/1820.200.0.1 to 20.200.63.25420.200.63.25516,382
3420.200.64.0/1820.200.64.1 to 20.200.127.25420.200.127.25516,382
3520.200.128.0/1820.200.128.1 to 20.200.191.25420.200.191.25516,382
3620.200.192.0/1820.200.192.1 to 20.200.255.25420.200.255.25516,382
3720.201.0.0/1820.201.0.1 to 20.201.63.25420.201.63.25516,382
3820.201.64.0/1820.201.64.1 to 20.201.127.25420.201.127.25516,382
3920.201.128.0/1820.201.128.1 to 20.201.191.25420.201.191.25516,382
4020.201.192.0/1820.201.192.1 to 20.201.255.25420.201.255.25516,382
4120.202.0.0/1820.202.0.1 to 20.202.63.25420.202.63.25516,382
4220.202.64.0/1820.202.64.1 to 20.202.127.25420.202.127.25516,382
4320.202.128.0/1820.202.128.1 to 20.202.191.25420.202.191.25516,382
4420.202.192.0/1820.202.192.1 to 20.202.255.25420.202.255.25516,382
4520.203.0.0/1820.203.0.1 to 20.203.63.25420.203.63.25516,382
4620.203.64.0/1820.203.64.1 to 20.203.127.25420.203.127.25516,382
4720.203.128.0/1820.203.128.1 to 20.203.191.25420.203.191.25516,382
4820.203.192.0/1820.203.192.1 to 20.203.255.25420.203.255.25516,382
4920.204.0.0/1820.204.0.1 to 20.204.63.25420.204.63.25516,382
5020.204.64.0/1820.204.64.1 to 20.204.127.25420.204.127.25516,382
5120.204.128.0/1820.204.128.1 to 20.204.191.25420.204.191.25516,382
5220.204.192.0/1820.204.192.1 to 20.204.255.25420.204.255.25516,382
5320.205.0.0/1820.205.0.1 to 20.205.63.25420.205.63.25516,382
5420.205.64.0/1820.205.64.1 to 20.205.127.25420.205.127.25516,382
5520.205.128.0/1820.205.128.1 to 20.205.191.25420.205.191.25516,382
5620.205.192.0/1820.205.192.1 to 20.205.255.25420.205.255.25516,382
5720.206.0.0/1820.206.0.1 to 20.206.63.25420.206.63.25516,382
5820.206.64.0/1820.206.64.1 to 20.206.127.25420.206.127.25516,382
5920.206.128.0/1820.206.128.1 to 20.206.191.25420.206.191.25516,382
6020.206.192.0/1820.206.192.1 to 20.206.255.25420.206.255.25516,382
6120.207.0.0/1820.207.0.1 to 20.207.63.25420.207.63.25516,382
6220.207.64.0/1820.207.64.1 to 20.207.127.25420.207.127.25516,382
6320.207.128.0/1820.207.128.1 to 20.207.191.25420.207.191.25516,382
6420.207.192.0/1820.207.192.1 to 20.207.255.25420.207.255.25516,382
6520.208.0.0/1820.208.0.1 to 20.208.63.25420.208.63.25516,382
6620.208.64.0/1820.208.64.1 to 20.208.127.25420.208.127.25516,382
6720.208.128.0/1820.208.128.1 to 20.208.191.25420.208.191.25516,382
6820.208.192.0/1820.208.192.1 to 20.208.255.25420.208.255.25516,382
6920.209.0.0/1820.209.0.1 to 20.209.63.25420.209.63.25516,382
7020.209.64.0/1820.209.64.1 to 20.209.127.25420.209.127.25516,382
7120.209.128.0/1820.209.128.1 to 20.209.191.25420.209.191.25516,382
7220.209.192.0/1820.209.192.1 to 20.209.255.25420.209.255.25516,382
7320.210.0.0/1820.210.0.1 to 20.210.63.25420.210.63.25516,382
7420.210.64.0/1820.210.64.1 to 20.210.127.25420.210.127.25516,382
7520.210.128.0/1820.210.128.1 to 20.210.191.25420.210.191.25516,382
7620.210.192.0/1820.210.192.1 to 20.210.255.25420.210.255.25516,382
7720.211.0.0/1820.211.0.1 to 20.211.63.25420.211.63.25516,382
7820.211.64.0/1820.211.64.1 to 20.211.127.25420.211.127.25516,382
7920.211.128.0/1820.211.128.1 to 20.211.191.25420.211.191.25516,382
8020.211.192.0/1820.211.192.1 to 20.211.255.25420.211.255.25516,382
8120.212.0.0/1820.212.0.1 to 20.212.63.25420.212.63.25516,382
8220.212.64.0/1820.212.64.1 to 20.212.127.25420.212.127.25516,382
8320.212.128.0/1820.212.128.1 to 20.212.191.25420.212.191.25516,382
8420.212.192.0/1820.212.192.1 to 20.212.255.25420.212.255.25516,382
8520.213.0.0/1820.213.0.1 to 20.213.63.25420.213.63.25516,382
8620.213.64.0/1820.213.64.1 to 20.213.127.25420.213.127.25516,382
8720.213.128.0/1820.213.128.1 to 20.213.191.25420.213.191.25516,382
8820.213.192.0/1820.213.192.1 to 20.213.255.25420.213.255.25516,382
8920.214.0.0/1820.214.0.1 to 20.214.63.25420.214.63.25516,382
9020.214.64.0/1820.214.64.1 to 20.214.127.25420.214.127.25516,382
9120.214.128.0/1820.214.128.1 to 20.214.191.25420.214.191.25516,382
9220.214.192.0/1820.214.192.1 to 20.214.255.25420.214.255.25516,382
9320.215.0.0/1820.215.0.1 to 20.215.63.25420.215.63.25516,382
9420.215.64.0/1820.215.64.1 to 20.215.127.25420.215.127.25516,382
9520.215.128.0/1820.215.128.1 to 20.215.191.25420.215.191.25516,382
9620.215.192.0/1820.215.192.1 to 20.215.255.25420.215.255.25516,382
9720.216.0.0/1820.216.0.1 to 20.216.63.25420.216.63.25516,382
9820.216.64.0/1820.216.64.1 to 20.216.127.25420.216.127.25516,382
9920.216.128.0/1820.216.128.1 to 20.216.191.25420.216.191.25516,382
10020.216.192.0/1820.216.192.1 to 20.216.255.25420.216.255.25516,382
10120.217.0.0/1820.217.0.1 to 20.217.63.25420.217.63.25516,382
10220.217.64.0/1820.217.64.1 to 20.217.127.25420.217.127.25516,382
10320.217.128.0/1820.217.128.1 to 20.217.191.25420.217.191.25516,382
10420.217.192.0/1820.217.192.1 to 20.217.255.25420.217.255.25516,382
10520.218.0.0/1820.218.0.1 to 20.218.63.25420.218.63.25516,382
10620.218.64.0/1820.218.64.1 to 20.218.127.25420.218.127.25516,382
10720.218.128.0/1820.218.128.1 to 20.218.191.25420.218.191.25516,382
10820.218.192.0/1820.218.192.1 to 20.218.255.25420.218.255.25516,382
10920.219.0.0/1820.219.0.1 to 20.219.63.25420.219.63.25516,382
11020.219.64.0/1820.219.64.1 to 20.219.127.25420.219.127.25516,382
11120.219.128.0/1820.219.128.1 to 20.219.191.25420.219.191.25516,382
11220.219.192.0/1820.219.192.1 to 20.219.255.25420.219.255.25516,382
11320.220.0.0/1820.220.0.1 to 20.220.63.25420.220.63.25516,382
11420.220.64.0/1820.220.64.1 to 20.220.127.25420.220.127.25516,382
11520.220.128.0/1820.220.128.1 to 20.220.191.25420.220.191.25516,382
11620.220.192.0/1820.220.192.1 to 20.220.255.25420.220.255.25516,382
11720.221.0.0/1820.221.0.1 to 20.221.63.25420.221.63.25516,382
11820.221.64.0/1820.221.64.1 to 20.221.127.25420.221.127.25516,382
11920.221.128.0/1820.221.128.1 to 20.221.191.25420.221.191.25516,382
12020.221.192.0/1820.221.192.1 to 20.221.255.25420.221.255.25516,382
12120.222.0.0/1820.222.0.1 to 20.222.63.25420.222.63.25516,382
12220.222.64.0/1820.222.64.1 to 20.222.127.25420.222.127.25516,382
12320.222.128.0/1820.222.128.1 to 20.222.191.25420.222.191.25516,382
12420.222.192.0/1820.222.192.1 to 20.222.255.25420.222.255.25516,382
12520.223.0.0/1820.223.0.1 to 20.223.63.25420.223.63.25516,382
12620.223.64.0/1820.223.64.1 to 20.223.127.25420.223.127.25516,382
12720.223.128.0/1820.223.128.1 to 20.223.191.25420.223.191.25516,382
12820.223.192.0/1820.223.192.1 to 20.223.255.25420.223.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses